/* 
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <getopt.h>
#include "trackerdbgui.h"
#include "interface.h"
#include "support.h"

void usage(void);

struct option longopts[] =
  {
    { "help", no_argument, NULL, 'h', },
    { "version", no_argument, NULL, 'v', },
    { NULL, 0, NULL, 0, }
  };


void usage(void)
{
    printf("\nVersion: %s\n", VERSION);
    puts("usage: trackerdbgui                Runs the program");
	puts("       trackerdbgui -h, --help     Prints this info");
	puts("       trackerdbgui -v, --version  Prints this info\n");
	puts("trackerdbgui is used to edit the trackerd database.");
	puts("Please read the documentation in /usr/local/doc/trackerd");
	puts("\nAli BASEL <alib@sabanciuniv.edu>\nhttp://www.basel.name.tr\n");
	exit(0);
}


int main(int argc, char *argv[])
{
	int op;
	Params p;
	
	if( argc>1 ) { 
		while( (op=getopt_long(argc, argv, "hv::", longopts, NULL)) != EOF )
			switch(op) {
            	case 'h':
                	usage();
                	break;
            	case 'v':
                	usage();
                	break;
            	default:
                	usage();
    		}
		usage();
	}



   gtk_set_locale();
   gtk_init (&argc, &argv);
   add_pixmap_directory ("./pixmaps");
   add_pixmap_directory ("/usr/local/include/X11/pixmaps");
   
   /*
    * The following code was added by Glade to create one of each component
    * (except popup menus), just so that you see something after building
    * the project. Delete any components that you don't want shown initially.
    */
   p.mainwindow = (GtkWindow *)create_mainwindow();
   
   /* We can't hook the signals inside glade, because it is necessary that
    the Params structure is hooked up to the user_data argument ! */
   connectMainWindowSignals(p.mainwindow,&p);
   /* Store widgets that we may need later in the Params structure */
   storeWidgets(p.mainwindow,&p);
   /* Set cmdline parameters in GUI (note that mainwindow MUST exist here !) */
   trackerdbguiInit(&p, argc, argv);
   gtk_widget_show((GtkWidget *)p.mainwindow);
   gtk_main();
   return 0;
}
